Skip to content

Get onboarding status

GET
/onboarding/{onboardingId}/status
Code sample: Shell / cURL
curl --request GET \
--url https://welcome.ztlpay.io/onboarding/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/status \
--header 'Authorization: Bearer <token>'
onboardingId
required
string format: uuid

Onboarding status fetched successfully

Media typeapplication/json
object
status
required

In production, ManualHandling is only available for Norway.

string
Allowed values: Created AwaitingCustomerAction Processing ManualHandling Accepted Rejected
signingStatus
object
onboardingSigningStatus
required
string
Allowed values: Signed PartiallySigned Unsigned
signers
Array<object>
object
name
required
string
personalNumber
string
nullable
status
required
string
Allowed values: Signed Unsigned
signingUrl
string
nullable
documentSignature
object
signatureMethod
string
nullable
fullName
string
nullable
firstName
string
nullable
lastName
string
nullable
middleName
string
nullable
signedTime
string
nullable
dateOfBirth
string
nullable
Examples
ExamplepartiallySignedTwoSigners

Partially signed onboarding with two signers

{
"status": "AwaitingCustomerAction",
"signingStatus": {
"onboardingSigningStatus": "PartiallySigned",
"signers": [
{
"name": "John Doe",
"personalNumber": "01019012345",
"status": "Signed",
"documentSignature": {
"signatureMethod": "BANKID_NO",
"fullName": "John Doe",
"firstName": "John",
"lastName": "Doe",
"middleName": null,
"signedTime": "2026-01-03T22:57:23",
"dateOfBirth": "1990-01-01"
}
},
{
"name": "Jane Smith",
"personalNumber": null,
"status": "Unsigned",
"signingUrl": "https://www.google.com",
"documentSignature": null
}
]
}
}
ztl-request-id
string format: uuid

Unique RequestId, please provide this Id in case of support requests

Example
3a797348-ef0c-4f52-b821-fdfcdb98c4d9

Bad request

Media typeapplication/json
object
ztlRequestId
required

Unique RequestId, please provide this Id in case of support requests

string format: uuid
message
required

The underlying reason for the error

string
Example
{
"ztlRequestId": "3a797348-ef0c-4f52-b821-fdfcdb98c4d9",
"message": "Invalid account"
}
ztl-request-id
string format: uuid

Unique RequestId, please provide this Id in case of support requests

Example
3a797348-ef0c-4f52-b821-fdfcdb98c4d9

Forbidden

Media typeapplication/json
object
ztlRequestId
required

Unique RequestId, please provide this Id in case of support requests

string format: uuid
message
required

The underlying reason for the error

string
Example
{
"ztlRequestId": "3a797348-ef0c-4f52-b821-fdfcdb98c4d9",
"message": "Invalid account"
}
ztl-request-id
string format: uuid

Unique RequestId, please provide this Id in case of support requests

Example
3a797348-ef0c-4f52-b821-fdfcdb98c4d9

Not found

Internal server error

Media typeapplication/json
object
ztlRequestId
required

Unique RequestId, please provide this Id in case of support requests

string format: uuid
message
required

The underlying reason for the error

string
Example
{
"ztlRequestId": "3a797348-ef0c-4f52-b821-fdfcdb98c4d9",
"message": "Invalid account"
}
ztl-request-id
string format: uuid

Unique RequestId, please provide this Id in case of support requests

Example
3a797348-ef0c-4f52-b821-fdfcdb98c4d9

Service unavailable

Media typeapplication/json
object
ztlRequestId
required

Unique RequestId, please provide this Id in case of support requests

string format: uuid
message
required

The underlying reason for the error

string
Example
{
"ztlRequestId": "3a797348-ef0c-4f52-b821-fdfcdb98c4d9",
"message": "Invalid account"
}
ztl-request-id
string format: uuid

Unique RequestId, please provide this Id in case of support requests

Example
3a797348-ef0c-4f52-b821-fdfcdb98c4d9